<?php
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use Mpdf\Mpdf;

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // استلام البيانات من POST

    // print_r($data);
    if (isset($_POST['data'])) {
        // معالجة البيانات كما تحتاج
        $dataString = $_POST['data'];
$dataArray = json_decode($dataString, true);


        // إعداد وحفظ الملف كملف Excel
        $spreadsheet = new Spreadsheet();
        $sheet = $spreadsheet->getActiveSheet();
        $sheet->fromArray($dataArray, null, 'A1');

        // ... (تابع معالجة الملف كما تحتاج)

        // إعداد الهيدرات لإعادة الملف كملف Excel
        header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        header('Content-Disposition: attachment;filename="ditels_earn.xlsx"');
        header('Cache-Control: max-age=0');

        // إعداد الإخراج
        $writer = new Xlsx($spreadsheet);
        $writer->save('php://output');
    } else {
        echo json_encode(['success' => false, 'error' => 'Invalid data']);
    }
} else {
    echo json_encode(['success' => false, 'error' => 'Invalid request method']);
}
?>
